<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcRegion Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcRegion Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcRegion" --><!-- doxytag: inherits="iBase" -->
<p>The representation of a region.  
 <a href="structiPcRegion.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="region_8h_source.html">propclass/region.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcRegion:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcRegion.png" usemap="#iPcRegion_map" alt=""/>
  <map id="iPcRegion_map" name="iPcRegion_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,69,24"/>
</map>
 </div></div>

<p><a href="structiPcRegion-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#af666276f6cbd10d660307b1ffd384c1b">CreateEmptySector</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create empty sector.  <a href="#af666276f6cbd10d660307b1ffd384c1b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#a978b4a379ce4c3427c7d8edcada259ff">FindSector</a> (const char *sectorname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a sector.  <a href="#a978b4a379ce4c3427c7d8edcada259ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#acef9fe3cc4090d7a5d02bb5e9eee13a7">GetCollection</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/namespaceCS.html">CS</a> collection associated to this propclass.  <a href="#acef9fe3cc4090d7a5d02bb5e9eee13a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#aa709315a55829d72c07a6949c94f71bd">GetRegionName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this region.  <a href="#aa709315a55829d72c07a6949c94f71bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#abcf1d25358a15077b87a5278d200062c">GetStartPosition</a> (const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get start position.  <a href="#abcf1d25358a15077b87a5278d200062c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#aac3265303d4806c37488bd2be5da633f">GetStartSector</a> (const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get start sector.  <a href="#aac3265303d4806c37488bd2be5da633f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#ab130d1f6bbce4498635c6088086aea48">GetWorldDir</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the world dir that is used for this region.  <a href="#ab130d1f6bbce4498635c6088086aea48"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#a880216f00e20482a4593b4dea8d8390a">GetWorldFile</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the world file that is used for this region.  <a href="#a880216f00e20482a4593b4dea8d8390a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#a38d722d47aa6cb63b6b5116e90b18318">Load</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load the region.  <a href="#a38d722d47aa6cb63b6b5116e90b18318"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#ad9df30c059dd303921b2d79ab5457f11">PointCamera</a> (<a class="el" href="structiPcCamera.html">iPcCamera</a> *pccamera, const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the given pccamera so that it points to the starting position in this region.  <a href="#ad9df30c059dd303921b2d79ab5457f11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#a91d1834c1a84808c0da8cd9ca1ea65a6">SetRegionName</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of this region.  <a href="#a91d1834c1a84808c0da8cd9ca1ea65a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#ae7d0738d08587e19baac1546696aa502">SetWorldFile</a> (const char *vfsdir, const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the world file to use for this region.  <a href="#ae7d0738d08587e19baac1546696aa502"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcRegion.html#a4fafe3704fe7a30dd96fb65cb0019662">Unload</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unload the region.  <a href="#a4fafe3704fe7a30dd96fb65cb0019662"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The representation of a region. </p>
<p>This property class supports the following actions (add prefix 'cel.region.action.' if you want to access this action through a message):</p>
<ul>
<li>Load: no parameters.</li>
<li>Unload: no parameters.</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>worlddir (string, read/write): the VFS directory of the world file.</li>
<li>worldfile (string, read/write): the world filename.</li>
<li>regionname (string, read/write): region name. </li>
</ul>

<p>Definition at line <a class="el" href="region_8h_source.html#l00044">44</a> of file <a class="el" href="region_8h_source.html">region.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af666276f6cbd10d660307b1ffd384c1b"></a><!-- doxytag: member="iPcRegion::CreateEmptySector" ref="af666276f6cbd10d660307b1ffd384c1b" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcRegion.html#af666276f6cbd10d660307b1ffd384c1b">iPcRegion::CreateEmptySector</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create empty sector. </p>
<p>Use this instead of <a class="el" href="structiPcRegion.html#ae7d0738d08587e19baac1546696aa502" title="Set the world file to use for this region.">SetWorldFile()</a> if you want the region to have a single empty sector. The given name is the name of the sector. Note! In the current implementation you can only call this function once for a given region! </p>

</div>
</div>
<a class="anchor" id="a978b4a379ce4c3427c7d8edcada259ff"></a><!-- doxytag: member="iPcRegion::FindSector" ref="a978b4a379ce4c3427c7d8edcada259ff" args="(const char *sectorname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="el" href="structiPcRegion.html#a978b4a379ce4c3427c7d8edcada259ff">iPcRegion::FindSector</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sectorname</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a sector. </p>

</div>
</div>
<a class="anchor" id="acef9fe3cc4090d7a5d02bb5e9eee13a7"></a><!-- doxytag: member="iPcRegion::GetCollection" ref="acef9fe3cc4090d7a5d02bb5e9eee13a7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a>* <a class="el" href="structiPcRegion.html#acef9fe3cc4090d7a5d02bb5e9eee13a7">iPcRegion::GetCollection</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/namespaceCS.html">CS</a> collection associated to this propclass. </p>
<p>This function has a meaning only if the region has been loaded. </p>

</div>
</div>
<a class="anchor" id="aa709315a55829d72c07a6949c94f71bd"></a><!-- doxytag: member="iPcRegion::GetRegionName" ref="aa709315a55829d72c07a6949c94f71bd" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcRegion.html#aa709315a55829d72c07a6949c94f71bd">iPcRegion::GetRegionName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this region. </p>

</div>
</div>
<a class="anchor" id="abcf1d25358a15077b87a5278d200062c"></a><!-- doxytag: member="iPcRegion::GetStartPosition" ref="abcf1d25358a15077b87a5278d200062c" args="(const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiPcRegion.html#abcf1d25358a15077b87a5278d200062c">iPcRegion::GetStartPosition</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get start position. </p>
<p>The given name is the name of the starting position to use. If 0 is given then the default position will be used. </p>

</div>
</div>
<a class="anchor" id="aac3265303d4806c37488bd2be5da633f"></a><!-- doxytag: member="iPcRegion::GetStartSector" ref="aac3265303d4806c37488bd2be5da633f" args="(const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="el" href="structiPcRegion.html#aac3265303d4806c37488bd2be5da633f">iPcRegion::GetStartSector</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get start sector. </p>
<p>The given name is the name of the starting position to use. If 0 is given then the default position will be used. </p>

</div>
</div>
<a class="anchor" id="ab130d1f6bbce4498635c6088086aea48"></a><!-- doxytag: member="iPcRegion::GetWorldDir" ref="ab130d1f6bbce4498635c6088086aea48" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcRegion.html#ab130d1f6bbce4498635c6088086aea48">iPcRegion::GetWorldDir</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the world dir that is used for this region. </p>

</div>
</div>
<a class="anchor" id="a880216f00e20482a4593b4dea8d8390a"></a><!-- doxytag: member="iPcRegion::GetWorldFile" ref="a880216f00e20482a4593b4dea8d8390a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcRegion.html#a880216f00e20482a4593b4dea8d8390a">iPcRegion::GetWorldFile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the world file that is used for this region. </p>

</div>
</div>
<a class="anchor" id="a38d722d47aa6cb63b6b5116e90b18318"></a><!-- doxytag: member="iPcRegion::Load" ref="a38d722d47aa6cb63b6b5116e90b18318" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcRegion.html#a38d722d47aa6cb63b6b5116e90b18318">iPcRegion::Load</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load the region. </p>
<p>This will create the empty sector if <a class="el" href="structiPcRegion.html#af666276f6cbd10d660307b1ffd384c1b" title="Create empty sector.">CreateEmptySector()</a> is used. </p>

</div>
</div>
<a class="anchor" id="ad9df30c059dd303921b2d79ab5457f11"></a><!-- doxytag: member="iPcRegion::PointCamera" ref="ad9df30c059dd303921b2d79ab5457f11" args="(iPcCamera *pccamera, const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcRegion.html#ad9df30c059dd303921b2d79ab5457f11">iPcRegion::PointCamera</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcCamera.html">iPcCamera</a> *&#160;</td>
          <td class="paramname"><em>pccamera</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update the given pccamera so that it points to the starting position in this region. </p>
<p>The given name is the name of the starting position to use. If 0 is given then the default position will be used. </p>

</div>
</div>
<a class="anchor" id="a91d1834c1a84808c0da8cd9ca1ea65a6"></a><!-- doxytag: member="iPcRegion::SetRegionName" ref="a91d1834c1a84808c0da8cd9ca1ea65a6" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcRegion.html#a91d1834c1a84808c0da8cd9ca1ea65a6">iPcRegion::SetRegionName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of this region. </p>

</div>
</div>
<a class="anchor" id="ae7d0738d08587e19baac1546696aa502"></a><!-- doxytag: member="iPcRegion::SetWorldFile" ref="ae7d0738d08587e19baac1546696aa502" args="(const char *vfsdir, const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcRegion.html#ae7d0738d08587e19baac1546696aa502">iPcRegion::SetWorldFile</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vfsdir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the world file to use for this region. </p>

</div>
</div>
<a class="anchor" id="a4fafe3704fe7a30dd96fb65cb0019662"></a><!-- doxytag: member="iPcRegion::Unload" ref="a4fafe3704fe7a30dd96fb65cb0019662" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcRegion.html#a4fafe3704fe7a30dd96fb65cb0019662">iPcRegion::Unload</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unload the region. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="region_8h_source.html">region.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
